package com.rjconsultores.integracaoreceitadespesa;

import java.io.Closeable;
import java.io.FileWriter;
import java.io.IOException;
import java.util.List;

import org.apache.log4j.Logger;


public class Arquivo {
	private static final Logger log = Logger.getLogger(Arquivo.class);
				
	public static void GravaArquivo(String filename, List<String> rows){
		try{
			log.debug("gravando arquivo" + filename + "...");
			FileWriter writer = new FileWriter(filename); 
			for(String str: rows) {
			  writer.write(str);
			}
			writer.close();
		} catch (Exception e){
			log.error("", e);
		}
	}
	
	  public static void close(Closeable c) {
		     if (c == null) return; 
		     try {
		         c.close();
		     } catch (IOException e) {
		    	 log.error(e);
		     }
		  }

}
